trunhash.h File Reference

Classes for truncated hashes. More...

Go to the source code of this file.

## Classes

class | NullHash
| Null hash. More...
class | TruncatedHashTemplate< T >
| Construct new HashModule with smaller digest size from an existing one. More...

## Typedefs

typedef TruncatedHashTemplate< HashTransformation & > | TruncatedHashModule

## Detailed Description

Classes for truncated hashes.

Definition in file trunhash.h.

## Typedef Documentation

## TruncatedHashModule

typedef TruncatedHashTemplate<HashTransformation &> TruncatedHashModule

Definition at line 59 of file trunhash.h.